repositories {
    gradlePluginPortal()
    jcenter()
}

plugins {
    `kotlin-dsl`
    `maven-publish`
}

group = "com.thebrokenrail.scriptcraft"
version = "1.0.0"

gradlePlugin {
    plugins {
        register("scriptcraft-plugin") {
            id = "${group}.${project.name}"
            implementationClass = "ScriptCraftPlugin"
        }
    }
}

publishing {
    repositories {
        maven {
            url = uri("/data/maven")
        }
    }
}
