package com.thebrokenrail.scriptcraft.api.block;

import net.minecraft.block.BlockEntityProvider;
import net.minecraft.block.entity.BlockEntity;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;
import net.minecraft.world.BlockView;

public class CustomBlockWithEntity extends CustomBlock implements BlockEntityProvider {
    public CustomBlockWithEntity(Settings settings, Identifier id) {
        super(settings, id);
    }

    @Override
    public BlockEntity createBlockEntity(BlockView view) {
        return new CustomBlockEntity(Registry.BLOCK_ENTITY_TYPE.get(id), id);
    }
}
