#!/bin/sh

QUICKJS_VERSION='2020-04-12'

set -e

if [ -e quickjs.tar.xz ]; then
    rm -f quickjs.tar.xz
fi
curl -L -o quickjs.tar.xz https://bellard.org/quickjs/quickjs-${QUICKJS_VERSION}.tar.xz

if [ -d ../src/main/c/quickjs ]; then
    rm -rf ../src/main/c/quickjs
fi
mkdir ../src/main/c/quickjs
tar -Jxf quickjs.tar.xz --strip-components=1 -C ../src/main/c/quickjs
rm -f quickjs.tar.xz